Workspaces
Add an Existing Quantura User as a Workspace Collaborator
POST
/
workspaces
/
{workspace_id}
/
collaborators
Add an Existing Quantura User as a Workspace Collaborator
curl --request POST \
--url https://quantura.studio/api/v1/workspaces/{workspace_id}/collaborators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"role": "viewer",
"permissions": [
"<string>"
],
"resource_scope": {}
}
'import requests
url = "https://quantura.studio/api/v1/workspaces/{workspace_id}/collaborators"
payload = {
"email": "jsmith@example.com",
"role": "viewer",
"permissions": ["<string>"],
"resource_scope": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
role: 'viewer',
permissions: ['<string>'],
resource_scope: {}
})
};
fetch('https://quantura.studio/api/v1/workspaces/{workspace_id}/collaborators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "member_01JEXAMPLE",
"user_id": "usr_example_analyst",
"email": "analyst@example.com",
"display_name": "Example Analyst",
"role": "analyst",
"permissions": [
"workspace.read",
"csv.list",
"csv.read",
"csv.download",
"forecast.read",
"forecast.create"
],
"resource_scope": {
"csv": {
"mode": "all",
"ids": []
},
"forecasts": {
"mode": "all",
"ids": []
}
},
"status": "active",
"added_at": "2026-09-03T15:00:00.000Z",
"updated_at": "2026-09-03T15:00:00.000Z"
},
"meta": {
"api_version": "v1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Collaborator added.
The response is of type object.
⌘I
Add an Existing Quantura User as a Workspace Collaborator
